package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.organisation;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.organisation.QchjcSupplierEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.organisation.QchjcSupplierEntityExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QchjcSupplierEntityMapper {
    long countByExample(QchjcSupplierEntityExample example);

    int deleteByExample(QchjcSupplierEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcSupplierEntity record);

    int insertSelective(QchjcSupplierEntity record);

    List<QchjcSupplierEntity> selectByExample(QchjcSupplierEntityExample example);

    QchjcSupplierEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcSupplierEntity record, @Param("example") QchjcSupplierEntityExample example);

    int updateByExample(@Param("record") QchjcSupplierEntity record, @Param("example") QchjcSupplierEntityExample example);

    int updateByPrimaryKeySelective(QchjcSupplierEntity record);

    int updateByPrimaryKey(QchjcSupplierEntity record);

    QchjcSupplierEntity selectByOutId(@Param("outId") String outId);
}